# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sambot/version'

Gem::Specification.new do |spec|
  spec.name          = 'sambot'
  spec.version       = Sambot::VERSION
  spec.authors       = ['Olivier Kouame']
  spec.email         = ['olivier.kouame@gmail.com']
  spec.description   = IO.read(File.join(File.dirname(__FILE__), 'README.md'))
  spec.summary       = 'Tooling for a DevOps workflow'
  spec.homepage      = 'http://github.com/okouam/sambot'
  spec.licenses    = ['MIT']
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = ['sambot']
  spec.require_paths = ['lib']

  spec.add_dependency 'thor-hollaback'
  spec.add_dependency 'git', '~> 1.3'
  spec.add_dependency 'process_exists'
  spec.add_dependency 'climate_control'
  spec.add_dependency 'github_api'
  spec.add_dependency 'vault'
  spec.add_dependency 'ridley'
  spec.add_dependency 'titan'
  spec.add_dependency 'teamcity-ruby-client'
  spec.add_dependency 'open4'
  spec.add_dependency 'google-cloud'
  spec.add_dependency 'diplomat'
  spec.add_dependency 'byebug'
  spec.add_dependency 'semantic'
  spec.add_dependency 'chef', '~> 12.18'
  spec.add_dependency 'thor', '~> 0.19'
  spec.add_dependency 'erubis', '~> 2.7', '>= 2.7.0'
  spec.add_dependency 'gems', '~> 1.0', '>= 1.0.0'
  spec.add_dependency 'awesome_print'
  spec.add_development_dependency  'pry'
  spec.add_development_dependency  'fuubar'
  spec.add_development_dependency 'rubocop', '~> 0.49'
  spec.add_development_dependency 'gem-release', '~> 1.0'
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
